package com.alterdekim.hearthhack.xml;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.*;

import java.util.List;

@ToString
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class XMLPower {

    @JacksonXmlProperty(isAttribute = true)
    private String definition;

    @JsonProperty("PlayRequirement")
    @JacksonXmlElementWrapper(useWrapping = false)
    private List<XMLPlayRequirement> playRequirement;
}